Search documentation of tiger_stripe

# Stripe.Services.Treasury.TransactionEntryService (tiger_stripe v0.1.1)

Copy Markdown View Source

TreasuryTransactionsResourceTransactionEntry

TransactionEntries represent individual units of money movements within a single Transaction.

## Summary

### Functions

list(client, params \\ %{}, opts \\ [])

List all TransactionEntries

retrieve(client, id, params \\ %{}, opts \\ [])

Retrieve a TransactionEntry

## Functions

# list(client, params \\ %{}, opts \\ [])

    @spec list(Stripe.Client.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

List all TransactionEntries

Retrieves a list of TransactionEntry objects.

# retrieve(client, id, params \\ %{}, opts \\ [])

    @spec retrieve(Stripe.Client.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

Retrieve a TransactionEntry

Retrieves a TransactionEntry object.